package com.mmoragues.herois.common

/**
 * Classe auxiliar que permet tenir control de l'estat de la carrega de les dades des del servidor
 * Loading -> Les dades entregades son les dades que hi ha en cache, no actualitzades
 * Success -> Les dades entregades estan actualitzades
 * Error -> Les dades entregades son les que estan en cache i, a més, no s'han pogut actualitzar correctament
 */
sealed class Resource<T>(
    var data: T? = null,
    val messageId: Int? = null
){
    class Success<T>(data: T) : Resource<T>(data)
    class Error<T>(messageId: Int, data: T? = null) : Resource<T>(data, messageId)
    class Loading<T>(data: T? = null) : Resource<T>(data)
}
