package com.mmoragues.herois.data.database

import androidx.room.*
import com.mmoragues.herois.data.database.dto.DbHero
import kotlinx.coroutines.flow.Flow

/**
 * Dao de la BBDD Room
 */
@Dao
interface HeroDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertHero(hero: DbHero)

    @Query("SELECT * FROM Heroes")
    fun getAllHeroes(): Flow<List<DbHero>>

    @Query("SELECT * FROM Heroes WHERE id = :id ")
    fun getHeroById(id: Int): Flow<DbHero>

    @Query("UPDATE Heroes SET isFavorite = NOT isFavorite WHERE id = :id")
    suspend fun toggleIsFavorite(id:Int)

    @Query("SELECT * FROM Heroes WHERE isFavorite = 1")
    fun getFavoritesHeroes(): Flow<List<DbHero>>

    @Query("SELECT * FROM Heroes ORDER BY RANDOM() LIMIT 1")
    suspend fun getRandomHero(): DbHero

    /*
    @Query("SELECT * FROM Heroes ORDER BY RANDOM() LIMIT 1")
    fun getRandomHero(): Flow<DbHero>

     */


    /*
    @Query("SELECT id FROM Heroes ORDER BY RANDOM() LIMIT 1")
    suspend fun getRandomId(): Int

     */


}