package com.mmoragues.herois.data.database

import com.mmoragues.herois.domain.model.Hero
import kotlinx.coroutines.flow.Flow

/**
 * Interficie de la LocalDataSource
 */
interface LocalDataSource {
    suspend fun insertHeroes(heroes: List<Hero>)
    fun getAllHeroes(): Flow<List<Hero>>
    fun getHeroById(id:Int): Flow<Hero>
    suspend fun toggleIsFavorite(id: Int)
    fun getFavoritesHeroes(): Flow<List<Hero>>
    suspend fun getRandomHero(): Hero
}