package com.mmoragues.herois.data.database.dto

import androidx.room.Embedded
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * Entity que es guarda a la BBDD amb les dades de l'heroi
 */
@Entity(tableName = "Heroes")
data class DbHero(
    @PrimaryKey(autoGenerate = false)
    val id: Int,
    val name: String,
    var isFavorite: Boolean = false,
    @Embedded
    val appearance: DbAppearance,
    @Embedded
    val biography: DbBiography,
    @Embedded
    val connections: DbConnections,
    @Embedded
    val images: DbImages,
    @Embedded
    val powerstats: DbPowerstats,
    @Embedded
    val work: DbWork
)
