package com.mmoragues.herois.ui.screens.gameScreen.flipCard

import androidx.compose.foundation.Image
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource

/**
 * Composable de la part frontal de la carta
 * Mostra una imatge que serà la port frotal de la carta
 */
@Composable
fun FrontCard(
    modifier: Modifier = Modifier,
    imageId: Int
) {
    Image(
        painter = painterResource(id = imageId),
        contentDescription = "Front Card Image",
        modifier = modifier,
        contentScale = ContentScale.Crop
    )
}