package com.mmoragues.herois.ui.sharedComponents.heroDetails

import androidx.compose.foundation.layout.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.testTag
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.unit.dp
import com.mmoragues.herois.R
import com.mmoragues.herois.common.TestConstants.APPEARANCESECTIONDETAIL
import com.mmoragues.herois.domain.model.Hero

/**
 * Secció amb les dades de l'aparença dels herois
 */
@Composable
fun AppearanceSection(hero: Hero) {

    Column(
        modifier = Modifier
            .testTag(APPEARANCESECTIONDETAIL)
    ) {
        Row(
            modifier = Modifier
                .fillMaxWidth()
                .padding(8.dp, 0.dp, 8.dp, 0.dp),
            horizontalArrangement = Arrangement.SpaceBetween
        ) {
            AppearanceCard(
                title = stringResource(id = R.string.detail_appearance_race),
                value = hero.appearance.race
            )
            AppearanceCard(
                title = stringResource(id = R.string.detail_appearance_gender),
                value = hero.appearance.gender
            )
            AppearanceCard(
                title = stringResource(id = R.string.detail_appearance_eyeColor),
                value = hero.appearance.eyeColor
            )
        }

        Spacer(modifier = Modifier.height(16.dp))


    }

    Row(
        modifier = Modifier
            .fillMaxWidth()
            .padding(8.dp, 0.dp, 8.dp, 0.dp),
        horizontalArrangement = Arrangement.SpaceBetween
    ) {
        AppearanceCard(
            title = stringResource(id = R.string.detail_appearance_hairColor),
            value = hero.appearance.hairColor
        )
        AppearanceCard(
            title = stringResource(id = R.string.detail_appearance_weight),
            value = hero.appearance.weight[1]
        )
        AppearanceCard(
            title = stringResource(id = R.string.detail_appearance_height),
            value = hero.appearance.height[1]
        )
    }
}