package com.mmoragues.herois.ui.sharedComponents.heroDetails

import androidx.compose.foundation.layout.*
import androidx.compose.material.Divider
import androidx.compose.material.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.testTag
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.unit.dp
import com.mmoragues.herois.R
import com.mmoragues.herois.common.TestConstants.BIOGRAPHYSECTION
import com.mmoragues.herois.common.TestConstants.BIOGRAPHYSECTIONDETAIL
import com.mmoragues.herois.domain.model.Hero

/**
 * Secció amb les dade de la biografia de l'heroi
 */
@Composable
fun BiographySection(hero: Hero) {

    Column(
        modifier = Modifier
            .testTag(BIOGRAPHYSECTIONDETAIL)
            .fillMaxWidth()
    ) {
        //Nom
        TableCell(
            column1Value = stringResource(id = R.string.detail_biography_name),
            column2Value = hero.name
        )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Nom complet
        TableCell(
            column1Value = stringResource(id = R.string.detail_biography_fullName),
            column2Value = hero.biography.fullName
        )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Alias
        TableCell(
            column1Value = stringResource(id = R.string.detail_biography_aliases),
            column2Value = hero.biography.aliases
        )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Alter Egos
        TableCell(
            column1Value = stringResource(id = R.string.detail_biography_aliases),
            column2Value = hero.biography.alterEgos
        )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Lloc de naixament
        TableCell(
            column1Value = stringResource(id = R.string.detail_biography_placeBirth),
            column2Value = hero.biography.placeOfBirth
        )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Editorial
        TableCell(
            column1Value = stringResource(id = R.string.detail_biography_publisher),
            column2Value = hero.biography.publisher
        )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Primera aparició
        TableCell(
            column1Value = stringResource(id = R.string.detail_biography_firstAppearance),
            column2Value = hero.biography.firstAppearance
        )

    }
}
