package com.mmoragues.herois.ui.sharedComponents.heroDetails

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material.Divider
import androidx.compose.material.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.testTag
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.unit.dp
import com.mmoragues.herois.R
import com.mmoragues.herois.common.TestConstants.CONNECTIONSECTIONDETAIL
import com.mmoragues.herois.domain.model.Hero

/**
 * Secció amb les dades de connexions de l'heroi
 */
@Composable
fun ConnectionsSection(hero: Hero){
    Column(modifier = Modifier
        .testTag(CONNECTIONSECTIONDETAIL)
        .fillMaxWidth()) {

        //Familiars
        TableCell(column1Value = stringResource(id = R.string.detail_connections_relatives), column2Value = hero.connections.relatives )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Grups afiliats
        TableCell(column1Value = stringResource(id = R.string.detail_connections_groupAffiliation), column2Value = hero.connections.groupAffiliation )
    }
}