package com.mmoragues.herois.ui.sharedComponents.heroDetails

import androidx.compose.foundation.layout.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.testTag
import androidx.compose.ui.unit.dp
import com.mmoragues.herois.R
import com.mmoragues.herois.common.TestConstants.POWERSECTION
import com.mmoragues.herois.domain.model.Hero
import com.mmoragues.herois.ui.sharedComponents.powerStat.PowerStatBar
import com.mmoragues.herois.ui.theme.*

/**
 * Secció amb els poders de l'heroi
 * Son un conjunt de barres animades amb els valors de cada poder
 */
@Composable
fun PowerSection(hero: Hero) {
    Column(
        modifier = Modifier
            .fillMaxWidth()
            .padding(8.dp)
            .testTag(POWERSECTION)
    ) {
        //Combat
        PowerStatBar(
            powerNameId = R.string.power_combat,
            powerValue = hero.powerstats.combat,
            powerColor = combatColor
        )
        Spacer(modifier = Modifier.height(10.dp))

        //Durabilitat
        PowerStatBar(
            powerNameId = R.string.power_durability,
            powerValue = hero.powerstats.durability,
            powerColor = durabilityColor
        )
        Spacer(modifier = Modifier.height(10.dp))

        //Inteligència
        PowerStatBar(
            powerNameId = R.string.power_intelligence,
            powerValue = hero.powerstats.intelligence,
            powerColor = intelligenceColor
        )
        Spacer(modifier = Modifier.height(10.dp))

        //Poder
        PowerStatBar(
            powerNameId = R.string.power_power,
            powerValue = hero.powerstats.power,
            powerColor = powerColor
        )
        Spacer(modifier = Modifier.height(10.dp))

        //Velocitat
        PowerStatBar(
            powerNameId = R.string.power_speed,
            powerValue = hero.powerstats.speed,
            powerColor = speedColor
        )
        Spacer(modifier = Modifier.height(10.dp))

        //Força
        PowerStatBar(
            powerNameId = R.string.power_strength,
            powerValue = hero.powerstats.strength,
            powerColor = strengthColor
        )

    }
}