package com.mmoragues.herois.ui.sharedComponents.heroDetails

import androidx.compose.foundation.layout.*
import androidx.compose.material.Divider
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp

/**
 * Composable auxiliar per crear les cel·les de les taules amb la que es mostra la informació de les diferents seccions
 */
@Composable
fun TableCell(
    modifier: Modifier = Modifier,
    column1Value: String,
    column1Weight: Float = .3f,
    column2Value: String,
    column2Weight: Float = .7f,
    ){
    Row(
        modifier = Modifier
            .fillMaxWidth()
            .height(IntrinsicSize.Min)
    ) {
        Text(
            modifier = modifier
                .weight(column1Weight)
                .padding(8.dp),
            text = column1Value
        )
        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxHeight()
                .width(1.dp)
        )
        Text(
            modifier = Modifier
                .weight(column2Weight)
                .padding(8.dp),
            text = column2Value
        )
    }
}

@Composable
fun TableCell(
    modifier: Modifier = Modifier,
    column1Value: String,
    column1Weight: Float = .3f,
    column2Value: List<String>,
    column2Weight: Float = .7f,
){

    Row(
        modifier = modifier
            .fillMaxWidth()
            .height(IntrinsicSize.Min)
    ) {
        Text(
            modifier = Modifier
                .weight(column1Weight)
                .padding(8.dp),
            text = column1Value
        )
        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxHeight()
                .width(1.dp)
        )
        Column(modifier = Modifier.weight(column2Weight)) {
            column2Value.forEach { item ->
                Text(
                    modifier = Modifier.padding(8.dp),
                    text = item
                )
            }

        }
    }

}