package com.mmoragues.herois.ui.sharedComponents.heroDetails

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material.Divider
import androidx.compose.material.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.testTag
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.unit.dp
import com.mmoragues.herois.R
import com.mmoragues.herois.common.TestConstants.WORKSECTIONDETAIL
import com.mmoragues.herois.domain.model.Hero

/**
 * Secció on es motra informaicó sobre el treball de l'heroi
 */
@Composable
fun WorkSection(hero: Hero) {
    Column(
        modifier = Modifier
            .testTag(WORKSECTIONDETAIL)
            .fillMaxWidth()
    ) {

        //Ocupació
        TableCell(
            column1Value = stringResource(id = R.string.detail_work_occupation),
            column2Value = hero.work.occupation
        )

        Divider(
            color = MaterialTheme.colors.onBackground,
            modifier = Modifier
                .fillMaxWidth(),
            thickness = 1.dp
        )

        //Base
        TableCell(
            column1Value = stringResource(id = R.string.detail_work_base),
            column2Value = hero.work.base
        )
    }
}