package com.mmoragues.herois.ui.sharedComponents.powerStat

import androidx.compose.ui.graphics.Color
import com.mmoragues.herois.R
import com.mmoragues.herois.domain.model.Hero
import com.mmoragues.herois.ui.theme.*

// Funcions de suport per obtenir el color, el nom i el valor dels poders dels herois

/**
 * Donat un poder, retorna el color d'aquest poder
 */
fun parsePowerColor(powerName: PowerName): Color {
    return when (powerName) {
        PowerName.STRENGTH -> strengthColor
        PowerName.SPEED -> speedColor
        PowerName.POWER -> powerColor
        PowerName.INTELLIGENCE -> intelligenceColor
        PowerName.DURABILITY -> durabilityColor
        PowerName.COMBAT -> combatColor
    }
}

/**
 * Donat un poder, retorna el seu nom en forma d'identificador d'un recurs
 */
fun parsePowerName(powerName: PowerName): Int{
    return when(powerName){
        PowerName.STRENGTH -> R.string.power_strength
        PowerName.SPEED -> R.string.power_speed
        PowerName.POWER -> R.string.power_power
        PowerName.INTELLIGENCE -> R.string.power_intelligence
        PowerName.DURABILITY -> R.string.power_durability
        PowerName.COMBAT -> R.string.power_combat
    }
}

/**
 * Donat un heroi i el nom d'un poder, retorna el valor d'aquest poder per aquest heroi
 */
fun parsePowerValue(hero: Hero, powerName: PowerName): Int{
    return when(powerName){
        PowerName.STRENGTH -> hero.powerstats.strength
        PowerName.SPEED -> hero.powerstats.speed
        PowerName.POWER -> hero.powerstats.power
        PowerName.INTELLIGENCE -> hero.powerstats.intelligence
        PowerName.DURABILITY -> hero.powerstats.durability
        PowerName.COMBAT -> hero.powerstats.combat
    }
}