package com.mmoragues.herois.ui.sharedComponents.searchBar

import androidx.compose.material.*
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Search
import androidx.compose.runtime.Composable

/**
 * APP Bar per defecte que mostra el titol i una lupa
 * Si es fa click a la lupa s'obre la barra de búsqueda
 */
@Composable
fun DefaultAppBar(
    title: String,
    onSearchClicked: () -> Unit) {
    TopAppBar(
        title = {
            Text(
                text = title
            )
        },
        backgroundColor = MaterialTheme.colors.primary,
        actions = {
            IconButton(
                onClick = { onSearchClicked() }
            ) {
                Icon(
                    imageVector = Icons.Filled.Search,
                    contentDescription = "Search Icon",
                    tint = MaterialTheme.colors.onPrimary
                )
            }
        }
    )
}