package com.mmoragues.herois.ui.sharedComponents.searchBar

import androidx.compose.runtime.Composable

/**
 * APP Bar que mostra una barra per defecte quan no s'està buscant res o
 * la barra de búsqueda quan es vol buscar algun heroi
 */
@Composable
fun MainAppBar(
    title: String,
    searchWidgetState: SearchWidgetState,
    searchTextState: String,
    onTextChange: (String) -> Unit,
    onCloseClicked: () -> Unit,
    onSearchClicked: (String) -> Unit,
    onSearchTriggered: () -> Unit
) {
    when (searchWidgetState) {
        SearchWidgetState.CLOSED -> {
            DefaultAppBar(
                title= title,
                onSearchClicked = onSearchTriggered
            )
        }
        SearchWidgetState.OPENED -> {
            SearchAppBar(
                text = searchTextState,
                onTextChange = onTextChange,
                onCloseClicked = onCloseClicked,
                onSearchClicked = onSearchClicked
            )
        }
    }
}