package com.mmoragues.herois.data.database

import com.mmoragues.herois.domain.model.Hero
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flow

// LocalDatasource Fake per poder fer les proves del Repository
class FakeLocalDataSource:LocalDataSource {

    private var fakeHeroList: List<Hero> = emptyList<Hero>()

    fun insertFakeHeroes(heroes: List<Hero>){
        fakeHeroList = heroes
    }

    override suspend fun insertHeroes(heroes: List<Hero>) {
        fakeHeroList = heroes
    }

    override fun getAllHeroes(): Flow<List<Hero>> {
        return flow { emit(fakeHeroList) }
    }

    override fun getHeroById(id: Int): Flow<Hero> {
        return flow { emit(fakeHeroList.find { hero -> hero.id == id } ?: Hero()) }
    }

    override suspend fun toggleIsFavorite(id: Int) {
        fakeHeroList[id].isFavorite = !fakeHeroList[id].isFavorite
    }

    override fun getFavoritesHeroes(): Flow<List<Hero>> {
        return flow { emit(fakeHeroList.filter { hero -> hero.isFavorite } )}
    }

    override suspend fun getRandomHero(): Hero {
        return fakeHeroList.random()
    }
}